Bug 526432 - deltarpm contains an own, modified copy of zlib
deltarpm contains an own, modified copy of zlib
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: deltarpm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Dieter
Fedora Extras Quality Assurance
:
Depends On: 495310
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2009-09-30 04:57 EDT by Florian Festi
Modified: 2009-10-13 21:41 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.4-18.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-08 23:37:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to build against system zlib and fix to detection of COMP_ZLIB_RSYNC payloads (6.62 KB, patch)
2009-10-01 02:48 EDT, Toshio Ernie Kuratomi
no flags Details | Diff

  None (edit)
Description Florian Festi 2009-09-30 04:57:24 EDT
...for supporting the rsync protocol.

Shipping an own copy of a system library is not allowed by the Fedora Packaging Guidelines (and bad practise and bad for security). Problem is that rsync does also contain a modified version of zlib and though the modified zlib is needed to support the rsync protocol. This means that rsync/zlib needs to be fixed first.

See also: https://www.redhat.com/archives/fedora-devel-list/2009-September/msg00525.html and follow ups
Comment 1 Toshio Ernie Kuratomi 2009-09-30 13:21:49 EDT
According to Michael Schroeder, this is not the same fork as the rsync fork.  Does anyone know if this fork is necessary or just an optimization?  I'm rebuilding against system zlib now under the assumption that this is only an optimization.
Comment 2 Toshio Ernie Kuratomi 2009-10-01 02:46:10 EDT
mls, jdieter Okay, I've gotten all packages rebuilt but not pushed yet (except F-13 of course). mls, I'll attach the patch I made for your comments.  jdieter, can you do some testing?

To push this to F-12, we'll want to add information to this ticket about what we've tested:  https://fedorahosted.org/rel-eng/ticket/2240

We want to get this onto the releng boxes in fedora infrastructure as well.  But we'll need a change request for that.  I'd like to have testing done first so that we can make just one change request.

Here's the CVE for the zlib issue that's unpatched in the bundled library.
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-1849
Comment 3 Toshio Ernie Kuratomi 2009-10-01 02:48:00 EDT
Created attachment 363280 [details]
Patch to build against system zlib and fix to detection of COMP_ZLIB_RSYNC payloads

Patch that's been applied or backported to deltarpm
Comment 4 Jonathan Dieter 2009-10-01 03:20:50 EDT
I've just tested the builds for F11 and Rawhide (x86_64) from inside yum-presto (yum downgrade bzr; yum update bzr) and everything worked perfectly.

Thanks so much for your work on this!
Comment 5 Fedora Update System 2009-10-01 13:11:43 EDT
deltarpm-3.4-11.fc10.1 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/deltarpm-3.4-11.fc10.1
Comment 6 Fedora Update System 2009-10-01 13:11:48 EDT
deltarpm-3.4-8.el5.1 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/deltarpm-3.4-8.el5.1
Comment 7 Fedora Update System 2009-10-01 13:11:53 EDT
deltarpm-3.4-8.el4.1 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/deltarpm-3.4-8.el4.1
Comment 8 Fedora Update System 2009-10-01 13:11:57 EDT
deltarpm-3.4-17.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/deltarpm-3.4-17.fc11
Comment 9 Fedora Update System 2009-10-03 15:12:18 EDT
deltarpm-3.4-11.fc10.1 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update deltarpm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10233
Comment 10 Fedora Update System 2009-10-03 15:12:50 EDT
deltarpm-3.4-17.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update deltarpm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10237
Comment 11 Fedora Update System 2009-10-05 06:38:22 EDT
deltarpm-3.4-18.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/deltarpm-3.4-18.fc11
Comment 12 Fedora Update System 2009-10-06 06:03:50 EDT
deltarpm-3.4-18.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update deltarpm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10262
Comment 13 Fedora Update System 2009-10-08 14:03:05 EDT
deltarpm-3.4-8.el5.1 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update deltarpm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0586
Comment 14 Fedora Update System 2009-10-08 14:03:50 EDT
deltarpm-3.4-8.el4.1 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update deltarpm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0591
Comment 15 Fedora Update System 2009-10-08 23:37:20 EDT
deltarpm-3.4-17.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-10-08 23:43:52 EDT
deltarpm-3.4-11.fc10.1 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-10-10 16:24:39 EDT
deltarpm-3.4-8.el4.1 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-10-10 16:26:01 EDT
deltarpm-3.4-8.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-10-13 21:40:58 EDT
deltarpm-3.4-18.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.